=== debian/changelog ===
libreoffice (1:5.2.7-1+deb9u11) stretch-security; urgency=medium

  * debian/patches/expand-pyuno-path-separators.diff.
    debian/patches/construct-final-url-from-parsed-output.diff,
    debian/patches/an-absolute-uri-is-invalid-input.diff,
    debian/patches/Improve-check-for-absolute-URI.diff,
    debian/patches/Improve-check.diff: add from
    libreoffice-6-3(-0,-1) branch - more fixes...
    (CVE-2019-9854/CVE-2019-9855)

 -- Rene Engelhard <rene@debian.org>  Fri, 06 Sep 2019 11:53:15 +0200

libreoffice (1:5.2.7-1+deb9u10) stretch-security; urgency=high

  * debian/patches/expand-LibreLogo-checks-to-global-events.diff,
    debian/patches/decode-url-escape-codes-and-check-each-path-segment.diff:
    debian/patches/keep-name-percent-encoded.diff
    debian/patches/Properly-obtain-location.diff:
    backport from libreoffice-6-3-0 branch - more fixes for CVE-2019-9848 and
    CVE-2018-16858
    (CVE-2019-9850/CVE-2019-9851/CVE-2019-9852/CVE-2019-9853)

 -- Rene Engelhard <rene@debian.org>  Tue, 06 Aug 2019 20:20:01 +0200

libreoffice (1:5.2.7-1+deb9u9) stretch-security; urgency=high

  * debian/patches/More-uses-of-referer-URL-with-SvxBrushItem.diff:
    backport patch from libreoffice-6-2 branch to fix CVE-2019-9849 

 -- Rene Engelhard <rene@debian.org>  Tue, 18 Jun 2019 21:54:44 +0200

libreoffice (1:5.2.7-1+deb9u8) stretch-security; urgency=high

  * debian/patches/sanitize-LibreLogo-calls.diff,
    debian/patches/explictly-exclude-LibreLogo-from-XScript-usage.diff:
    add from git; fixing CVE-2019-9848

 -- Rene Engelhard <rene@debian.org>  Sun, 09 Jun 2019 10:31:22 +0200

libreoffice (1:5.2.7-1+deb9u7) stretch; urgency=medium

  * debian/patches/mention-java-common-package.diff: update message to
    reflect current config dir...
  * debian/patches/disableClassPathURLCheck.diff: revert openjdk is fixed

  * debian/control.in:
    - make -core conflict against openjdk-8-jre-headless (= 8u181-b13-2~deb9u1)
      (closes: 913641#) and build-conflict against it

 -- Rene Engelhard <rene@debian.org>  Wed, 23 Jan 2019 18:51:09 +0100

libreoffice (1:5.2.7-1+deb9u6) stable; urgency=medium

   * debian/patches/jp-JP-Reiwa.diff: Introduce next Japanese gengou
     era 'Reiwa', from libreoffice-6-1 branch

 -- Rene Engelhard <rene@debian.org>  Thu, 11 Apr 2019 21:48:53 +0200

libreoffice (1:5.2.7-1+deb9u5) stretch-security; urgency=high

  * debian/patches/disableClassPathURLCheck.diff: add workaround to
    fix build with openjdks with S8195874 included - add
    -Djdk.net.URLClassPath.disableClassPathURLCheck=true to JAVAIFLAGS;
    see https://gerrit.libreoffice.org/#/c/63118/2

  * debian/patches/keep-pyuno-script-processing-below-base-uri.diff: as name
    says (CVE-2018-16858)
  * debian/patches/show-partial-signatures-even-if-cert-validation-fails.diff:
    as name says (CERT-Bund#2018100828000257), but backport the non-UI parts only
    - the "signing already existing PDFs" feature doesn't exist here yet

 -- Rene Engelhard <rene@debian.org>  Wed, 23 Jan 2019 18:51:09 +0100

libreoffice (1:5.2.7-1+deb9u4) stretch-security; urgency=high

  * debian/patches/CVE-2018-10119.diff,
    debian/patches/CVE-2018-10120.diff: as name says...

 -- Rene Engelhard <rene@debian.org>  Wed, 18 Apr 2018 17:17:55 +0200

libreoffice (1:5.2.7-1+deb9u3) stretch; urgency=medium

  * debian/patches/WEBSERVICE-DDE.diff:
    - improve to not throw more errors than neccessary (use the right error
      code) on WEBSERVICE() failures, thanks Jan-Marek Glogowski; do another
      s/FormulaError::NoValue/formula::errNoValue/ for clarity
    - backport 4a412bdf0387cc2cb59d656d0738a63a286ec497 from 5.4 branch
      to let FunctionAccess execute WEBSERVICE

  * debian/rules:
    - do not run the tests except on i386 (notfatal) and amd64
    - move dk.mk from -dev-common to -dev as it's not arch-indep, thanks
      Rico Tzschichholz

 -- Rene Engelhard <rene@debian.org>  Thu, 22 Feb 2018 11:14:18 +0100

libreoffice (1:5.2.7-1+deb9u2) stretch-security; urgency=high

  * fix control

 -- Rene Engelhard <rene@debian.org>  Fri, 09 Feb 2018 07:22:22 +0100

libreoffice (1:5.2.7-1+deb9u1) stretch-security; urgency=high

  * debian/patches/WEBSERVICE-DDE.diff: backport fix for "Remote arbitrary
    file disclosure vulnerability via WEBSERVICE formula" (CVE-2018-1055) from
    5.4
  * debian/patches/layout-footnote-use-after-free.diff: add; as name says.
    possible patch for iDefense V-mct3ei5wml

  * debian/rules:
    - make i386 make check notfatal for now given the i386 Java Stack Clash
      regression

 -- Rene Engelhard <rene@debian.org>  Thu, 08 Feb 2018 19:02:13 +0100

libreoffice (1:5.2.7-1) unstable; urgency=medium

  * New upstream release

  * debian/control.in:
    - add missing -java-common Depends: to -script-provider-{bsh,js}
  * debian/control.mediawiki.in:
    - add missing JRE depends
  (thanks to Daniel Richard G. for those two, see #858655)

 -- Rene Engelhard <rene@debian.org>  Thu, 04 May 2017 20:18:44 +0200

libreoffice (1:5.2.6-2) unstable; urgency=medium

  * debian/rules:
    - move /usr/include/libreoffice/sal/typesizes.h symlink to -dev
      instead of -dev-common (closes: #858199)

 -- Rene Engelhard <rene@debian.org>  Mon, 20 Mar 2017 11:46:38 +0100

libreoffice (1:5.2.6-1) unstable; urgency=medium

  * New upstream release

 -- Rene Engelhard <rene@debian.org>  Fri, 10 Mar 2017 16:48:43 +0100

libreoffice (1:5.2.5-2) unstable; urgency=medium

  * debian/libreoffice.maintscript: revert dir_to_symlink, add new
    symlink_to_dir for stretch/sid upgrades
  * debian/rules: ignore "libreoffice" for --link-doc
  * debian/rules, debian/libreoffice-dev-doc.links, debian/lo*.in:
    install SDK documentation into /usr/share/doc/libreoffice/sdk (and adapt
    dev-docs symlinks/doc-base stuff). Remove extra license file (thanks
    lintian) which otherwise would still install over the symlink.
  * debian/control.sdk.in: update -devs libreoffice-dev-doc Conflicts to

