=== debian/control ===
Source: libreoffice
Section: editors
Priority: optional
Maintainer: Debian LibreOffice Maintainers <debian-openoffice@lists.debian.org>
Uploaders: Rene Engelhard <rene@debian.org>, Chris Halls <halls@debian.org>
Build-Depends: ant (>= 1.7.0) [!mips64],
               ant-optional (>= 1.7.0) [!mips64],
               autoconf,
               automake,
               bc,
               binutils (>= 2.23) [mips mipsel],
               bison,
               bzip2,
               chromium (>= 39.0.2171.71-1) [i386 amd64 armhf arm64],
               coinor-libcoinmp-dev (>= 1.7.6+dfsg1-2),
               coinor-libcoinutils-dev (>= 2.9.15-3.1),
               debhelper (>= 9.20160114),
               default-jdk (>= 1:1.7-48) [ia64],
               default-jdk (>= 2:1.7-52.1) [kfreebsd-any],
               default-jdk (>= 2:1.8-55) [sparc64],
               default-jdk [!mips64],
               default-libmysqlclient-dev,
               dh-python,
               dpkg-dev (>= 1.18.2~),
               fastjar,
               flex (>= 2.3.35),
               fontconfig [!hppa !ia64 !kfreebsd-amd64 !kfreebsd-i386 !s390 !sparc !sparc64] <!nocheck>,
               fonts-crosextra-carlito [!hppa !ia64 !kfreebsd-amd64 !kfreebsd-i386 !s390 !sparc !sparc64] <!nocheck>,
               fonts-liberation [!hppa !ia64 !kfreebsd-amd64 !kfreebsd-i386 !s390 !sparc !sparc64] <!nocheck>,
               g++-6 [hppa ia64 s390 sparc],
               gcc-6 [hppa ia64 s390 sparc],
               gcj-jdk [hppa ia64 s390 sparc],
               gcj-native-helper [hppa ia64 s390 sparc],
               gdb [!hppa !ia64 !kfreebsd-amd64 !kfreebsd-i386 !s390 !sparc !sparc64] <!nocheck>,
               gettext,
               gobject-introspection (>= 1.32.0),
               gperf,
               java-common (>= 0.49),
               javahelper (>= 0.37~),
               junit4 (>= 4.8.2-2) [!hppa !ia64 !kfreebsd-amd64 !kfreebsd-i386 !s390 !sparc !sparc64] <!nocheck>,
               kdelibs5-dev (>= 4:4.3.4),
               libabw-dev (>= 0.1),
               libarchive-zip-perl,
               libavahi-client-dev,
               libbluetooth-dev [linux-any],
               libboost-date-time-dev (>= 1.58),
               libboost-dev (>= 1.58),
               libboost-filesystem-dev (>= 1.58),
               libboost-iostreams-dev (>= 1.58),
               libboost-system-dev (>= 1.58),
               libbz2-dev,
               libc0.1 (>= 2.10.2-7) [kfreebsd-any],
               libc6 (>= 2.17-6) [mips mipsel],
               libcairo2-dev,
               libcdr-dev (>= 0.1),
               libclucene-dev (>= 2.3.3.4-4.1),
               libcmis-dev (>= 0.5.0-3),
               libcollada2gltfconvert-dev (>= 20140924-2)[amd64 i386],
               libcppunit-dev (>= 1.13.2-2.1),
               libcups2-dev,
               libcurl4-gnutls-dev,
               libdbus-glib-1-dev (>= 0.70),
               libdconf-dev,
               libe-book-dev,
               libebook1.2-dev,
               libeot-dev,
               libetonyek-dev,
               libexpat1-dev,
               libexttextcat-dev (>= 3.4.1),
               libfontconfig1-dev,
               libfreehand-dev (>= 0.1),
               libfreetype6-dev (>= 2.2.0),
               libgcj-common (>= 1:4.4.1) [hppa ia64 s390 sparc],
               libgirepository1.0-dev (>= 1.32),
               libgl1-mesa-dev,
               libglew-dev,
               libglib2.0-dev (>= 2.15.0),
               libglm-dev (>= 0.9.6.3),
               libgltf-dev (>= 0.0.2-4),
               libgraphite2-dev (>= 0.9.3),
               libgstreamer-plugins-base1.0-dev,
               libgstreamer1.0-dev,
               libgtk-3-dev (>= 3.8~),
               libgtk2.0-dev (>= 2.10),
               libharfbuzz-dev (>= 0.9.18),
               libhsqldb1.8.0-java (>> 1.8.0.10) [!mips64],
               libhunspell-dev (>= 1.1.5-2),
               libhyphen-dev (>= 2.4),
               libice-dev,
               libicu-dev (>= 52),
               libjpeg-dev,
               liblangtag-dev (>= 0.4),
               liblcms2-dev,
               libldap2-dev,
               liblpsolve55-dev (>= 5.5.0.13-5+b1),
               libmdds-dev (>= 1.2),
               libmspub-dev (>= 0.1),
               libmwaw-dev (>= 0.3.1),
               libmysqlcppconn-dev (>= 1.1.7-4),
               libmythes-dev (>= 2:1.2),
               libneon27-gnutls-dev,
               libnss3-dev (>= 3.12.3),
               libo3dgc-dev (>= 0~20131011-2) [amd64 i386],
               libodfgen-dev (>= 0.1),
               liborcus-dev (>= 0.11.2),
               libpagemaker-dev,
               libpcre3-dev [amd64 i386],
               libpng-dev,
               libpoppler-cpp-dev,
               libpoppler-dev (>= 0.12.0),
               libpoppler-private-dev,
               libpq-dev (>= 9.0~),
               libqt4-dev (>= 4:4.8),
               librdf0-dev (>= 1.0.16-2),
               librevenge-dev,
               libsane-dev,
               libsm-dev,
               libsuitesparse-dev (>= 1:3.4.0),
               libvisio-dev (>= 0.1),
               libvlc5,
               libwpd-dev (>= 0.10),
               libwpg-dev (>= 0.3),
               libwps-dev (>= 0.4),
               libx11-dev,
               libxaw7-dev,
               libxext-dev,
               libxinerama-dev,
               libxkbfile-dev,
               libxml2-dev,
               libxml2-utils,
               libxrandr-dev,
               libxrender-dev,
               libxslt1-dev,
               libxt-dev,
               libxtst-dev,
               lp-solve (>= 5.5.0.13-5+b1),
               make (>= 3.81-8.2),
               maven-repo-helper,
               opencollada-dev (>= 0.1.0~20140703.ddf8f47+dfsg1-2) [amd64 i386],
               pkg-config,
               python3,
               python3-dev (>= 3.3),
               rapidjson-dev [amd64 i386],
               ucpp,
               unixodbc-dev (>= 2.2.11),
               unzip,
               x11proto-render-dev,
               xsltproc,
               zip,
               zlib1g-dev
Build-Depends-Indep: doxygen (>= 1.8.4) <!nodoc>,
                     fdupes,
                     g++-mingw-w64-i686,
                     libbase-java [!hppa !ia64 !mips64 !s390 !sparc],
                     libbsh-java,
                     libcommons-logging-java [!mips64],
                     libflute-java (>= 1.1.6) [!hppa !ia64 !mips64 !s390 !sparc],
                     libfonts-java (>= 1.1.6) [!hppa !ia64 !mips64 !s390 !sparc],
                     libformula-java (>= 1.1.7) [!hppa !ia64 !mips64 !s390 !sparc],
                     liblayout-java (>= 0.2.10) [!hppa !ia64 !mips64 !s390 !sparc],
                     libloader-java (>= 1.1.6) [!hppa !ia64 !mips64 !s390 !sparc],
                     libpentaho-reporting-flow-engine-java (>= 0.9.4) [!hppa !ia64 !mips64 !s390 !sparc],
                     librepository-java (>= 1.1.6) [!hppa !ia64 !mips64 !s390 !sparc],
                     libsac-java [!hppa !ia64 !mips64 !s390 !sparc],
                     libserializer-java (>= 1.1.6) [!hppa !ia64 !mips64 !s390 !sparc],
                     libxml-java (>= 1.1.6) [!hppa !ia64 !mips64 !s390 !sparc]
Build-Conflicts: amd-libopencl1,
                 ant (= 1.8.0-1) [hppa ia64 s390 sparc],
                 ant (= 1.8.0-2) [hppa ia64 s390 sparc],
                 ant (= 1.8.0-3) [hppa ia64 s390 sparc],
                 flex (= 2.5.34-1) [amd64],
                 g++-4.6 (= 4.6.1-10),
                 g++-4.6 (= 4.6.1-11),
                 g++-4.7 (<< 4.7.1-3),
                 gcj-4.2 (= 4.2.2-6),
                 gjdoc (= 0.7.8-2),
                 libboost1.39-dev (<< 1.39.0-2),
                 libc0.1-dev (= 2.13-26) [kfreebsd-i386 kfreebsd-amd64],
                 libc6-dev (= 2.6.1-3) [i386 amd64],
                 libc6-dev (= 2.6.1-4) [i386 amd64],
                 libcairo2 (= 1.4.8-1),
                 libxul-dev (= 1.8.0.13~pre070720-0etch1),
                 nvidia-glx-dev,
                 nvidia-glx-legacy-dev,
                 nvidia-libopencl1,
                 openjdk-8-jre-headless (= 8u181-b13-2~deb9u1),
                 qt3-dev-tools
Standards-Version: 3.9.4
Vcs-Git: https://anonscm.debian.org/git/pkg-openoffice/libreoffice.git
Vcs-Browser: https://anonscm.debian.org/git/pkg-openoffice/libreoffice.git
Bugs: 
Homepage: http://www.libreoffice.org

Package: libreoffice
Architecture: alpha amd64 arm64 armel armhf hppa i386 ia64 kfreebsd-amd64 kfreebsd-i386 m68k mips mipsel mips64 mips64el powerpc powerpcspe ppc64 ppc64el s390 s390x sparc sparc64
Section: metapackages
Pre-Depends: ${misc:Pre-Depends}
Depends: libreoffice-base [!mips64],
         libreoffice-calc,
         libreoffice-core (= ${binary:Version}),
         libreoffice-draw,
         libreoffice-impress,
         libreoffice-math,
         libreoffice-report-builder-bin [!hppa !ia64 !mips64 !s390 !sparc],
         libreoffice-writer,
         ${avmedia-be-depends},
         ${dejavu-depends},
         ${java-common-depends},
         ${misc:Depends},
         ${pyuno-depends}
Recommends: fonts-crosextra-caladea,
            fonts-crosextra-carlito,
            fonts-linuxlibertine,
            fonts-sil-gentium-basic,
            libreoffice-librelogo,
            libreoffice-nlpsolver,
            libreoffice-ogltrans,
            libreoffice-pdfimport,
            libreoffice-report-builder [!hppa !ia64 !mips64 !s390 !sparc],
            libreoffice-script-provider-bsh,
            libreoffice-script-provider-js,
            libreoffice-script-provider-python,
            libreoffice-sdbc-postgresql,
            libreoffice-wiki-publisher
Suggests: cups-bsd,
          hunspell-dictionary,
          hyphen-hyphenation-patterns,
          iceweasel | firefox | icedove | thunderbird | iceape-browser | mozilla-browser,
          imagemagick | graphicsmagick-imagemagick-compat,
          libgl1,
          libreoffice-gnome | libreoffice-kde,
          libreoffice-grammarcheck,
          libreoffice-help-${help-l10n-virtual-version},
          libreoffice-l10n-${help-l10n-virtual-version},
          libsane,
          libxrender1,
          myspell-dictionary,
          mythes-thesaurus,
          openclipart2-libreoffice | openclipart-libreoffice,
          pstoedit,
          unixodbc,
          ${gstreamer-plugins-suggests},
          ${java-runtime-depends},
          ${ooo-officebean-dep}
Conflicts: libreoffice-dev (<= 1:5.0.3~rc1-2),
           libreoffice-dev-doc (<= 1:5.0.3~rc1-2)
Description: office productivity suite (metapackage)
 LibreOffice is a full-featured office productivity suite that provides
 a near drop-in replacement for Microsoft(R) Office.
 .
 This metapackage installs all components of libreoffice:
  * libreoffice-writer: Word processor
  * libreoffice-calc: Spreadsheet
  * libreoffice-impress: Presentation
  * libreoffice-draw: Drawing
  * libreoffice-base: Database
  * libreoffice-math: Equation editor
 It also recommends additional packages (e.g. fonts) in order to match an
 upstream LibreOffice install as closely as possible.
 .
 You can extend the functionality of LibreOffice by installing these
 packages:
  * hunspell-*/myspell-*: Hunspell/Myspell dictionaries
    for use with LibreOffice
  * libreoffice-l10n-*: UI interface translation
  * libreoffice-help-*: User help
  * mythes-*: Thesauri for the use with LibreOffice
  * hyphen-*: Hyphenation patterns for LibreOffice
  * libreoffice-gtk(2|3): Gtk UI Plugin, GNOME File Picker support
  * libreoffice-gnome: GIO backend
  * unixodbc: ODBC database support
  * cups-bsd: Allows LibreOffice to detect your CUPS printer queues
    automatically
  * libsane: Use your sane-supported scanner with LibreOffice
  * libxrender1: Speed up display by using Xrender library
  * libgl1: OpenGL support
  * openclipart-libreoffice: Open Clip Art Gallery with LibreOffice index
    files
