=== debian/tests/control ===
Tests: junit-subsequentcheck
