=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.asc/ http://download.documentfoundation.org/libreoffice/src/(\d.\d.\d)/libreoffice-(\d.\d.\d).\d.tar.xz
